### Property

# WebKit Settings:allow-modal-dialogs

unstable since: 6.0

#### Declaration

    property allow-modal-dialogs: gboolean [ read, write, construct ]

#### Description [src]

Determine whether it’s allowed to create and run modal dialogs from a `WebKitWebView` through JavaScript with <function>window.showModalDialog</function>. If it’s set to `FALSE`, the associated `WebKitWebView` won’t be able to create new modal dialogs, so not even the `WebKitWebView::create` signal will be emitted.

Type: | `gboolean`
Available since: | 6.0

Default value | FALSE
Getter method | `webkit_settings_get_allow_modal_dialogs()`
Setter method | `webkit_settings_set_allow_modal_dialogs()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no